Description: Fixes the detection of the JDK to allow the compilation with Java 8.
 Do not compile the ICUTaglet class which relies on internal JDK classes
 no longer available in Java 8.
Author: Emmanuel Bourg <ebourg@apache.org>
Forwarded: no
--- a/build.xml
+++ b/build.xml
@@ -23,12 +23,7 @@
     <property environment="env"/>
 
     <!-- Java version check -->
-    <condition property="is.java6.plus">
-        <or>
-            <contains string="${java.version}" substring="1.6."/>
-            <contains string="${java.version}" substring="1.7."/>
-        </or>
-    </condition>
+    <property name="is.java6.plus" value="true"/>
     <condition property="is.java5">
         <contains string="${java.version}" substring="1.5."/>
     </condition>
--- a/tools/build/build.xml
+++ b/tools/build/build.xml
@@ -20,7 +20,20 @@
 
     <target name="clean" depends="@clean" description="Clean up the build outputs"/>
 
-    <target name="compile" depends="@compile" description="Compile java source files"/>
+    <target name="compile" description="Compile java source files">
+        <mkdir dir="${bin.dir}"/>
+        <javac
+            srcdir="${src.dir}"
+            destdir="${bin.dir}"
+            classpathref="javac.classpathref"
+            source="${javac.source}"
+            target="${javac.target}"
+            encoding="${java.src.encoding}"
+            debug="${javac.debug}">
+            <compilerarg value="${javac.compilerarg}"/>
+            <exclude name="**/ICUTaglet*"/>
+        </javac>
+    </target>
 
     <target name="copy" depends="@copy" description="Copy non-java runtime files to the project's binary directory"/>
 
